Bug 228551 - Platform detection not adding device profiles for TC65i WTK
Platform detection not adding device profiles for TC65i WTK
Status: VERIFIED FIXED
Product: javame
Classification: Unclassified
Component: -- Other --
7.2.1
PC Windows 7
: P3 (vote)
: 7.3.1
Assigned To: Roman Svitanic
issues@mobility
73patch2-verified
:
Depends on: 221063
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-14 22:02 UTC by jthurner
Modified: 2013-06-05 08:48 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
UEI spec (266.42 KB, application/pdf)
2013-04-14 22:02 UTC, jthurner
Details
patch (935 bytes, patch)
2013-04-14 22:03 UTC, jthurner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jthurner 2013-04-14 22:02:19 UTC
Created attachment 133494 [details]
UEI spec

Since Netbeans 7.2.1, autodetection of Siemens/Cinterion TC65/TC65i WTKs fails because the device profiles are not added to the generated platform xml file.

With rev 4a4b019b26c2 (accept only device profiles given by emulator -Xquery), device profiles are added only if their name corresponds to the profile found in the "device-name.version.profile" property returned by "emulator -Xquery". rev f351c4d7e186 fixed a NPE in case -Xquery does not return this property.

If the emulator does not return the "device-name.version.profile" property, no profiles are added for the coresponding device. The TC65/TC65i emulator does not return this property.

From my (rather limited) understanding of the detection code a better default would be to include the profiles in these cases, because according to the UEI spec, returning "device-name.version.profile" is optional and used to indicate that the device "supports a different set of APIs than that described by emulator -version" (UEI p10).
 
(Information on supported profiles returned by emulator -version is currently not used in the autodetection code).

The attached change still skips profiles not present in the "device-name.version.profile" property returned by -Xquery, but defaults to adding them if -Xquery does not return this property for a given device.

TC65i emulator output:
https://netbeans.org/bugzilla/show_bug.cgi?id=221063#c28

split from bug 221063
Comment 1 jthurner 2013-04-14 22:03:22 UTC
Created attachment 133495 [details]
patch
Comment 2 Roman Svitanic 2013-04-15 11:48:23 UTC
Please try updated module which can be found as attachment here: https://netbeans.org/bugzilla/show_bug.cgi?id=221063#c32
Comment 3 Roman Svitanic 2013-04-15 15:50:32 UTC
Fixed in jet-main:
http://hg.netbeans.org/jet-main/rev/0799e892ab0d
Comment 4 Stepan Zebra 2013-04-16 09:12:39 UTC
(In reply to comment #3)
> Fixed in jet-main:
> http://hg.netbeans.org/jet-main/rev/0799e892ab0d

Targeting fix to release 7.3.1, please wait for verification.
Comment 5 Stepan Zebra 2013-05-02 12:41:35 UTC
verified in trunk, please integrate into release73
Comment 7 Stepan Zebra 2013-06-05 08:48:46 UTC
verified in 7.3.1
http://wiki.netbeans.org/NetBeans7.3PatchesInfo


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo